[arch-commits] Commit in gegl/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Christian Hesse eworm at archlinux.org
Sun Oct 4 19:14:32 UTC 2020


    Date: Sunday, October 4, 2020 @ 19:14:32
  Author: eworm
Revision: 397249

archrelease: copy trunk to testing-x86_64

Added:
  gegl/repos/testing-x86_64/
  gegl/repos/testing-x86_64/PKGBUILD
    (from rev 397248, gegl/trunk/PKGBUILD)

----------+
 PKGBUILD |   44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

Copied: gegl/repos/testing-x86_64/PKGBUILD (from rev 397248, gegl/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2020-10-04 19:14:32 UTC (rev 397249)
@@ -0,0 +1,44 @@
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+
+pkgname=gegl
+pkgver=0.4.26
+pkgrel=1
+pkgdesc="Graph based image processing framework"
+arch=('x86_64')
+url="https://www.gegl.org/"
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib' 'libgexiv2' 'libraw' 'openexr' 'librsvg' 'libtiff' 'luajit' 'jasper' 'lensfun' 'suitesparse' 'poppler-glib')
+makedepends=('intltool' 'ruby' 'mesa' 'glu' 'ffmpeg' 'exiv2' 'vala' 'gobject-introspection' 'git' 'meson' 'python-gobject')
+optdepends=('ffmpeg: ffmpeg plugin')
+_commit='3371550915bfe10e9e0add87caaf578464305542'  # tags/GEGL_0_4_26^0
+source=("git+https://gitlab.gnome.org/GNOME/gegl.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd ${pkgname}
+  git cherry-pick -n c1c3541caab485384087bbbcf1c83ef2d5bd4d43
+}
+
+build() {
+  mkdir -p build
+  cd build
+  arch-meson ../$pkgname \
+    -Dworkshop=true \
+    -Dmrg=disabled
+  ninja
+}
+
+check() {
+  cd build
+  ninja test || :
+}
+
+package() {
+  cd build
+  DESTDIR="${pkgdir}" ninja install
+}


More information about the arch-commits mailing list